How to update Apache in CentOS 5.2

remoteuser
remoteuser used Ask the Experts™
on
Hi all

I have hosting server running centos 5.2 I want to upgrade Apache to the latest version. Currently it is running  httpd-2.2.3-11.el5_1.centos.3 I try to update using yum

[root@dev itdivision]# yum update httpd
Loading "fastestmirror" plugin
Setting up Update Process
Setting up repositories
update                    100% |=========================|  951 B    00:00
base                      100% |=========================| 1.1 kB    00:00
centosplus                100% |=========================|  951 B    00:00
addons                    100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
Determining fastest mirrors
Reading repository metadata in from local files
Could not find update match for httpd
No Packages marked for Update/Obsoletion

but as you see above it say no packages marked.
DO there is any other option to update apache. I am running Plesk on that server

Thanks

Comment
Watch Question

Do more with

Expert Office
EXPERT OFFICE® is a registered trademark of EXPERTS EXCHANGE®
Distinguished Expert 2017
Commented:
The centos builds have a specific versioning control mechanism, if you want to use the current apache version, you have to compile and install it yourself.
You would also have to monitor any advisories and update it yourself.

your entire install from centos 5.2 to centos 5.3.

Is there a particular feature you need that is included in the newest Apache version but missing from the one you are using??

Author

Commented:
It not solved by the given solution

Do more with

Expert Office
Submit tech questions to Ask the Experts™ at any time to receive solutions, advice, and new ideas from leading industry professionals.

Start 7-Day Free Trial